Download it now!
Bug 132165 - Copying a large dataset by drag a a corner slow
Summary: Copying a large dataset by drag a a corner slow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2020-04-16 21:10 UTC by Telesto
Modified: 2020-06-19 09:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (zipped) (15.47 MB, application/x-zip-compressed)
2020-04-16 21:13 UTC, Telesto
Details
Reduced Example file (4.60 MB, application/vnd.ms-excel)
2020-06-16 16:37 UTC, Telesto
Details
Bibisect log (3.04 KB, text/plain)
2020-06-16 16:37 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-16 21:10:15 UTC
Description:
Copying a large dataset by drag a a corner slow

Steps to Reproduce:
1. Open the attached file (sorry, for the mess, there a floating multiple similar sample files around)
2. Select column A, B, C
3. Scroll down to bottom
4. Click the black square at the bottom & drag to the right (3 columns or so) -> start waiting

Actual Results:
Long process starts

Expected Results:
Little faster


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4475bcd83aac7e033fc5250f268eb922bd471e7b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: en-US (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-04-16 21:13:01 UTC
Created attachment 159643 [details]
Example file (zipped)
Comment 2 Xisco Faulí 2020-06-15 14:55:55 UTC
Hi Telesto,
is this issue still reproducible with a recent daily build ?
Comment 3 Telesto 2020-06-15 21:00:27 UTC
Nothing changed
Version: 7.1.0.0.alpha0+ (x64)
Build ID: a35c18aeff3b1d8f270db7e094850fb8ba1ab84a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

it's fine with
Version: 6.0.0.0.alpha0+
Build ID: 2cd664b3d618e6085be8b44ee86eada6cd5f8789
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

within 30 seconds and even a nice progress bar.
Comment 4 Telesto 2020-06-15 21:04:26 UTC
Also in
Version: 6.2.9.0.0+ (x86)
Build ID: 5f01fe15eb2661f1f9ce12d1d99dc2a705b462ee
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 5 Xisco Faulí 2020-06-16 10:59:17 UTC
@Telesto, any chance you could bisect it ?
Comment 6 Telesto 2020-06-16 16:37:05 UTC
Created attachment 162067 [details]
Reduced Example file
Comment 7 Telesto 2020-06-16 16:37:32 UTC
Created attachment 162068 [details]
Bibisect log

Bisected to:
author	Henry Castro <hcastro@collabora.com>	2018-06-26 23:32:41 -0400
committer	Eike Rathke <erack@redhat.com>	2018-06-27 13:44:07 +0200
commit	b9652803096b68a33702601aac52e78c8a4250c6 (patch)
tree	1ed7822221824417039126b7db04a8b37ebeaee8
parent	b262e6e5da0c2e66e00cd6d68d7c2df11a34ff5c (diff)
tdf#118308: Incorrect Paste Special dialog when ...
pasting content from another cell

In tiled rendering case (headless) each window has its own clipboard,
otherwise exists a unique clipboard (UNO service).
Comment 8 Buovjaga 2020-06-17 15:25:01 UTC
I confirmed the bibisect result by flipping between the commit & previous in Win 6.2 repo.

Adding Cc: to Henry Castro
Comment 9 Xisco Faulí 2020-06-17 15:28:52 UTC
@Luboš, i thought you might be interested in this issue
Comment 10 Commit Notification 2020-06-18 09:11:28 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/241d8e47e708e1912e036f1026f1c43ee1bf84a1

delay and batch calls to StartListeningFormulaCells() (tdf#132165)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-06-19 09:08:30 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/15a8357b3faaa360cc162593330e926863d4c51b

delay and batch calls to StartListeningFormulaCells() (tdf#132165)

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.